Fn+F5 and Fn+F6 don't modify brightness on Sony VAIO VPCCW (GT 230M)

Bug #551668 reported by Alex Mayorga on 2010-03-30
32
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Nouveau Xorg driver
Fix Released
Medium
linux (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: acpi-support

Pressing Fn+F5 and Fn+F6 don't modify brightness on Sony VAIO VPCCW.
notify-osd shows and the brightness bar on it increases or decreases, but the actual brightness on the screen won't change.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: acpi-support 0.133
ProcVersionSignature: Ubuntu 2.6.32-18.27-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-18-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Tue Mar 30 07:10:54 2010
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20091229)
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: acpi-support

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub [8086:2a40] (rev 07)
 Subsystem: Sony Corporation Device [104d:905e]
01:00.0 VGA compatible controller [0300]: nVidia Corporation GT216 [GeForce GT 230M] [10de:0a2a] (rev a2)
 Subsystem: Sony Corporation Device [104d:905e]
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0-0ubuntu2
Architecture: amd64
CheckboxSubmission: ed5dbdfb54bf5043a043813a33527c9f
CheckboxSystem: b633b4f40868d491c2ae5b50030ce6f3
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=c9179563-f2d9-4583-b6ad-8d9a6f301541
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 (20100816.1)
MachineType: Sony Corporation VPCCW1FFX
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=en_US:en
 TERM=xterm
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 nouveaufb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-21-generic root=UUID=f415c990-a34d-451b-b69c-2070c5d53e47 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.2.0-21.34-generic 3.2.13
SourcePackage: linux
Tags: precise precise
Uname: Linux 3.2.0-21-generic x86_64
UpgradeStatus: Upgraded to precise on 2011-12-18 (106 days ago)
UserGroups: adm admin cdrom dialout dip lpadmin netdev plugdev sambashare vboxusers
dmi.bios.date: 09/22/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: R0190Y5
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.asset.tag: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrR0190Y5:bd09/22/2009:svnSonyCorporation:pnVPCCW1FFX:pvrR5785054:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VPCCW1FFX
dmi.product.version: R5785054
dmi.sys.vendor: Sony Corporation

Alex Mayorga (alex-mayorga) wrote :
summary: - Fn+F5 and Fn+F6 don't modify brightness on Sony VAIO PCCW
+ Fn+F5 and Fn+F6 don't modify brightness on Sony VAIO VPCCW
description: updated

acpi-support is not involved in brightness hotkeys on the Vaios; and as you say the OSD works, it's clearly not a problem with registration of the hotkey anyway. This is a problem with the backlight control, which I believe is primarily handled by the X server; reassigning.

affects: acpi-support (Ubuntu) → xorg-server (Ubuntu)
Bryce Harrington (bryce) wrote :

Hi Alex,

Thanks for including the attached files. Could you also include your /var/log/Xorg.0.log (or Xorg.0.log.old) from after reproducing the issue?

Please attach the output of `lspci -vvnn` too.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-xorglog
Changed in xorg-server (Ubuntu):
status: New → Incomplete
Alex Mayorga (alex-mayorga) wrote :
Alex Mayorga (alex-mayorga) wrote :
Alex Mayorga (alex-mayorga) wrote :
Download full text (16.5 KiB)

alex-mayorga@VPCCW1FFXL:~$ lspc
lspci lspcmcia
alex-mayorga@VPCCW1FFXL:~$ lspci -vvnn
00:00.0 Host bridge [0600]: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub [8086:2a40] (rev 07)
 Subsystem: Sony Corporation Device [104d:905e]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
 Latency: 0
 Capabilities: <access denied>
 Kernel modules: intel-agp

00:01.0 PCI bridge [0604]: Intel Corporation Mobile 4 Series Chipset PCI Express Graphics Port [8086:2a41] (rev 07)
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
 I/O behind bridge: 0000d000-0000dfff
 Memory behind bridge: c0000000-d30fffff
 Prefetchable memory behind bridge: 00000000d8e00000-00000000d8ffffff
 Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
 BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B-
  PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
 Capabilities: <access denied>
 Kernel driver in use: pcieport
 Kernel modules: shpchp

00:1a.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 [8086:2937] (rev 03)
 Subsystem: Sony Corporation Device [104d:905e]
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin A routed to IRQ 16
 Region 4: I/O ports at e0e0 [size=32]
 Capabilities: <access denied>
 Kernel driver in use: uhci_hcd

00:1a.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 [8086:2938] (rev 03)
 Subsystem: Sony Corporation Device [104d:905e]
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin B routed to IRQ 21
 Region 4: I/O ports at e0c0 [size=32]
 Capabilities: <access denied>
 Kernel driver in use: uhci_hcd

00:1a.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 [8086:2939] (rev 03)
 Subsystem: Sony Corporation Device [104d:905e]
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin C routed to IRQ 19
 Region 4: I/O ports at e0a0 [size=32]
 Capabilities: <access denied>
 Kernel driver in use: uhci_hcd

00:1a.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 [8086:293c] (rev 03) (prog-if 20)
 Subsystem: Sony Corporation Device [104d:905e]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParEr...

Changed in xorg-server (Ubuntu):
status: Incomplete → New
Bryce Harrington (bryce) on 2010-04-07
description: updated
summary: - Fn+F5 and Fn+F6 don't modify brightness on Sony VAIO VPCCW
+ Fn+F5 and Fn+F6 don't modify brightness on Sony VAIO VPCCW (GT 230M)
affects: xorg-server (Ubuntu) → nvidia-graphics-drivers (Ubuntu)
Bungeur (sanfton-0801) wrote :

Got same bug, or at least closely related. nvidia GT216 [GeForce GT240M] does not respond to brightness commands.
This laptop is a new Fujitsu Amilo Pi 3560. The keys are Fn-F8(down); Fn-F9(up).

Attached Xorg.0.log shows events:

(II) May 10 20:29:32 NVIDIA(0): Setting mode
(II) May 10 20:29:32 NVIDIA(0): "CRT:nvidia-auto-select+0+0,DFP:nvidia-auto-select+0+0"
(II) May 10 20:29:33 NVIDIA(0): ACPI display change hotkey events enabled: the X server is new
(II) May 10 20:29:33 NVIDIA(0): enough to receive ACPI hotkey events.
(WW) May 10 20:29:33 NVIDIA(0): ACPI: Error: Unable to find the brightness file path under
(WW) May 10 20:29:33 NVIDIA(0): /proc/acpi/video. The NVIDIA X driver will not be able to
(WW) May 10 20:29:33 NVIDIA(0): respond to ACPI brightness change hotkey events.

Bungeur (sanfton-0801) wrote :

lspci -vvnn output.

Bryce Harrington (bryce) on 2010-05-14
tags: added: hardy
tags: removed: needs-xorglog
Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Confirmed
Alex Mayorga (alex-mayorga) wrote :

This is still broken on 10.10 now even the OSD indicators are gone.

2 comments hidden view all 103 comments

I have a Sony Vaio CW2 laptop, with an Nvidia GeForce 310M card. I am using the nouveau driver from git (via the xorg-edgers ubuntu repository). I have to say it works really well - I even get desktop effects in KDE with Gallium.

However, there is one problem with screen brightness. The max_brightness value for the backlight interface (/sys/class/backlight/nv_backlight/max_brightness) is set to 1025. When I use KDE power-devil (or any brightness control tool), it reduces the brightness by tiny fractions, which still keeps the screen at full brightness. The brightness actually varies only between 0 and 127 (128-1025 are full brightness), and then too only if I change it in increments of 10 or 20. I think ideally the max_brightness value should be 7 (or 10?) and it should vary in steps of 1.

Created attachment 40571
dmesg

Created attachment 40572
xorg.log

Created attachment 40573
lspci

For a while, I've been using the nvidiabl drive for brightness control. I noticed that it correctly detects the max and min values for my laptop and video card. I was wondering if the nouveau code could somehow benefit from the work done by the nvidiabl author. The code is present here - https://github.com/guillaumezin/nvidiabl

The corresponding thread is here -- http://www.nvnews.net/vbulletin/showthread.php?t=143025 and I think some relevant updates/changes for my laptop model (VPCCW2) are here - http://www.nvnews.net/vbulletin/showthread.php?t=143025&page=8

From all the feedback on the forum, it appears that nvidiabl works fine for everyone. I am not a developer, but if someone could guide me, I could probably help in figuring out how to use nvidiabl code in nouveau. Thanks!

Is there a way to prevent nouveau from creating the /sys/class/backlight/nv_backlight interface? If not, could it be added as a kernel parameter?

I find that brightness control works much better with the nvidiabl drivers, and I'd prefer to use those with nouveau if possible.

It would be better to integrate nvidiabl into nouveau.

Agreed. Is there some way this could be kickstarted?

I have filed a new issue on the nvidiabl tracker -- https://github.com/guillaumezin/nvidiabl/issues/8

9 comments hidden view all 103 comments
Alex Mayorga (alex-mayorga) wrote :

This is still not working in Oneiric.
The OSD indicators appear but the back-light doesn't change.
IIRC at some point in time this project https://github.com/guillaumezin/nvidiabl allowed me to actually modify the back-light, any chance it can be included in Ubuntu?
Anything else I can provide to get this fixed?

10 comments hidden view all 103 comments

Hello.. Has there been any update on this? Thanks!

Try the nouveau kernel git tree, there's been some updates there semi-recently to this area.

I tried both the latest nouveau kernel git tree, and latest X.org packages from git (via the xorg-edgers ubuntu repository). None of them fix this bug.

What value does the various nv_backlight files have now?

If anything, it has become less granular now. Here are some of the outputs:

rohan@ubuntu:/sys/class/backlight/nv_backlight$ cat max_brightness
1025
rohan@ubuntu:/sys/class/backlight/nv_backlight$ cat actual_brightness
615
rohan@ubuntu:/sys/class/backlight/nv_backlight$ cat brightness
615
rohan@ubuntu:/sys/class/backlight/nv_backlight$ cat bl_power
0
rohan@ubuntu:/sys/class/backlight/nv_backlight$ cat brightness
103
rohan@ubuntu:/sys/class/backlight/nv_backlight$

IIRC, the max_brightness is still same as before (1025). However, the actual "max" looks to be something around 615.

Rohan

Can you please make sure that you are running nouveau kernel git tree [1] as the official kernel does _not_ yet have those changes

If you are interested what those changes are, here is the list [2]

Thanks

[1] http://cgit.freedesktop.org/nouveau/linux-2.6/
[2] http://cgit.freedesktop.org/nouveau/linux-2.6/log/drivers/gpu/drm/nouveau/nouveau_backlight.c

Emil: Thank you for the links! I'm indeed running the latest DRM code. I followed the instructions here -- http://nouveau.freedesktop.org/wiki/InstallDRM. I cloned the repo without history, and did an out-of-tree build.

Rohan

If you are using the latest kernel code, nouveau will report "max_brightness==100"

See commit drm/nv50/backlight: express brightness level in percent - bc0df418

Cheers
Emil

I just did a git pull, make clean, and recompiled the modules. My modules.dep file also shows that the extra/ directory is being used for nouveau modules. Is there anything else I must be doing? I'm quite sure that the stock ubuntu modules are being overriden.

I'm also attaching my dmesg and xorg.log to be sure :)

Created attachment 51641
Latest dmesg

Created attachment 51642
Latest xorg.log

(In reply to comment #17)
> I just did a git pull, make clean, and recompiled the modules. My modules.dep
> file also shows that the extra/ directory is being used for nouveau modules. Is
> there anything else I must be doing? I'm quite sure that the stock ubuntu
> modules are being overriden.
>
> I'm also attaching my dmesg and xorg.log to be sure :)

I'm afraid somehow you're still getting the old driver loaded. The code in nouveau git *cannot* report max_brightness of 1025 anymore, as evidenced by this section of the patches linked above:

- props.max_brightness = 1025;
+ props.max_brightness = 100;

Is there any way I can debug this issue? Maybe modify some other file I can modify? Delete the older modules? Thank you for your patience.

Btw, when will this code merge into mainstream? I was wondering if we'll see it in next release of major distros.

(In reply to comment #21)
> Is there any way I can debug this issue? Maybe modify some other file I can
> modify? Delete the older modules? Thank you for your patience.

I suggest perhaps deleting any directory in /lib/modules that contains nouveau.ko/drm.ko and friends, then reinstalling them from the nouveau git tree you built.

>
> Btw, when will this code merge into mainstream? I was wondering if we'll see it
> in next release of major distros.

The patches are queued for kernel 3.2.

Don't know if Ubuntu uses this, but Fedora stuffs the nouveau driver into the initrd. If Ubuntu does a similar thing you have to rebuild your initrd after installing the new modules to get your newly built nouveau loaded.

Pepi (peshko-ivanov) on 2011-10-27
Changed in nvidia-graphics-drivers (Ubuntu):
assignee: nobody → Pepi (peshko-ivanov)
23 comments hidden view all 103 comments
Alex Mayorga (alex-mayorga) wrote :

This is still a problem on 12.04 =(

24 comments hidden view all 103 comments

Did this make it into kernel 3.2? What can be done for the brightness controls to work properly?

I reported https://bugs.launchpad.net/nouveau/+bug/551668 a while ago on Ubuntu's bug tracker I believe is this bug or a related one and it is still causing problems on the following configuration:

alex-mayorga@VPCCW1FFXL:~$ uname -a
Linux VPCCW1FFXL 3.2.0-21-generic #34-Ubuntu SMP Fri Mar 30 04:25:35 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
alex-mayorga@VPCCW1FFXL:~$ lspci -nn | grep VGA
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GT216 [GeForce GT 230M] [10de:0a2a] (rev a2)
alex-mayorga@VPCCW1FFXL:~$ apt-cache show xserver-xorg-video-nouveau
Package: xserver-xorg-video-nouveau
Priority: optional
Section: x11
Installed-Size: 344
Maintainer: Ubuntu Developers <email address hidden>
Original-Maintainer: Debian X Strike Force <email address hidden>
Architecture: amd64
Version: 1:0.0.16+git20111201+b5534a1-1build2
Provides: xorg-driver-video
Depends: libc6 (>= 2.4), libdrm-nouveau1a (>= 2.4.23), libudev0 (>= 147), xorg-video-abi-11, xserver-xorg-core (>= 2:1.10.99.901)
Recommends: libgl1-mesa-dri (>= 7.11.1)
Filename: pool/main/x/xserver-xorg-video-nouveau/xserver-xorg-video-nouveau_0.0.16+git20111201+b5534a1-1build2_amd64.deb
Size: 109400
MD5sum: 5ab8e5861a11a57d783fa9862d88900f
SHA1: 7abb48438df08eed97dd4676bc111bdbaf714376
SHA256: 886d7e2f968819373d81a932388ede20995d9bd1d3d8f2091100f988a314a780
Description-en: X.Org X server -- Nouveau display driver
 This driver for the X.Org X server (see xserver-xorg for a further description)
 provides support for NVIDIA Riva, TNT, GeForce, and Quadro cards.
 .
 This package provides 2D support including EXA acceleration, Xv and
 RandR. 3D functionality is provided by the libgl1-mesa-dri package.
 .
 This package is built from the FreeDesktop.org xf86-video-nouveau driver.
Homepage: http://nouveau.freedesktop.org/wiki/
Description-md5: b084a16945b86c1eda89ad33dbb4530d
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu
Supported: 5y
Task: ubuntu-desktop, ubuntu-usb, kubuntu-desktop, kubuntu-active-desktop, kubuntu-active, edubuntu-desktop, edubuntu-usb, xubuntu-desktop, mythbuntu-frontend, mythbuntu-desktop, mythbuntu-backend-slave, mythbuntu-backend-master, lubuntu-core, ubuntustudio-desktop

This has been working for me since kernel 3.1, in Fedora 16. I also tried kernel 3.2 in Ubuntu 12.04, and it has been working fine out of the box.

Changed in nouveau:
importance: Unknown → Medium
status: Unknown → Fix Released
Alex Mayorga (alex-mayorga) wrote :

Report of the problem on nvidiabl's bug tracker https://github.com/guillaumezin/nvidiabl/issues/31

Timo Aaltonen (tjaalton) on 2012-04-02
Changed in xserver-xorg-video-nouveau (Ubuntu):
status: New → Fix Released
Bryce Harrington (bryce) wrote :

I think this is either a dupe of bug #819002 or should be fixed in a similar manner. (I.e., the patch on that bug might not fix this particular model, but it might simply require adding this model number.) The fix improves the ACPI support for Vaios in the linux kernel.

In particular, since you indicate the problem also exists with -nouveau, that seems to narrow it to the kernel as well.

Reassigning to the kernel. Possibly this should be duped to #819002, but I'm not certain.

affects: nvidia-graphics-drivers (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Confirmed → New
tags: added: kernel-handoff-graphics precise
Brad Figg (brad-figg) on 2012-04-02
Changed in linux (Ubuntu):
status: New → Incomplete
23 comments hidden view all 103 comments

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Alex Mayorga (alex-mayorga) wrote :

There were issues running apport-collect 551668, see below.

alex-mayorga@VPCCW1FFXL:~$ apport-collect 551668
No packages found matching linux.
ERROR: hook /usr/share/apport/general-hooks/ubuntu.py crashed:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/apport/report.py", line 718, in add_hooks_info
    symb['add_info'](self, ui)
  File "/usr/share/apport/general-hooks/ubuntu.py", line 37, in add_info
    match_error_messages(report)
  File "/usr/share/apport/general-hooks/ubuntu.py", line 121, in match_error_messages
    if report['ProblemType'] == 'Package':
  File "/usr/lib/python2.7/UserDict.py", line 23, in __getitem__
    raise KeyError(key)
KeyError: 'ProblemType'
Traceback (most recent call last):
  File "/usr/share/apport/apport-gtk", line 493, in <lambda>
    GLib.idle_add(lambda: self.collect_info(on_finished=self.ui_update_view))
  File "/usr/lib/python2.7/dist-packages/apport/ui.py", line 861, in collect_info
    icthread.exc_raise()
  File "/usr/lib/python2.7/dist-packages/apport/REThread.py", line 34, in run
    self._retval = self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/dist-packages/apport/ui.py", line 111, in thread_collect_info
    if report['ProblemType'] == 'Crash' and \
  File "/usr/lib/python2.7/UserDict.py", line 23, in __getitem__
    raise KeyError(key)
KeyError: 'ProblemType'
alex-mayorga@VPCCW1FFXL:~$

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Alex Mayorga (alex-mayorga) wrote :

From earlier on #ubuntu-x IRC in case it is helpful:

2:05 PM <alex_mayorga> bryceh: Got powers on https://bugzilla.kernel.org/show_bug.cgi?id=41652 ?
2:05 PM <ubottu> bugzilla.kernel.org bug 41652 in Power-Other "Brightness control keys not working" [Normal,Needinfo]
2:07 PM <bryceh> patchset proposed on platform-driver-x86 via http://<email address hidden>/msg02399.html
2:07 PM <alex_mayorga> How come the keys are caught, OSD shows, but in the end nothing happens?
2:10 PM <alex_mayorga> Guess kernel devs don't care as long as their mac book pros work, right? ;-P
2:11 PM <hyperair> maybe kernel hackers just don't buy vaios.
2:11 PM <mlankhorst> pretty much..
2:11 PM • hyperair wouldn't either.
2:12 PM • alex_mayorga doesn't have much sayin on what he gets for "saturnalia"
2:13 PM <bryceh> http://<email address hidden>/msg01975.html
2:13 PM <bryceh> Added support for handle 0x0143 (Vaio SA/SB/SC, CA/CB). Minor corrections included.
2:13 PM <bryceh> guess that doesn't fix vaoi vpccw though
2:17 PM <alex_mayorga> bryceh: the patched were never taken, were they?
2:18 PM <alex_mayorga> The guy seems to have a Launchpad account https://bugs.launchpad.net/~marco-absence
2:18 PM <bryceh> alex_mayorga, doesn't appear so to me
2:24 PM <alex_mayorga> What is there to do then? Upstream doesn't seem to care =(
2:25 PM <mlankhorst> it's not cc'd to lkml..
2:26 PM <bryceh> mlankhorst, yeah, presumably because he wanted to finish the v2 set of patches first? I'm not really familiar with the platform-driver-x86 list.
2:28 PM <bryceh> alex_mayorga, as far as next steps, some random ideas...
2:28 PM <mlankhorst> reading that mail-archive, there were some technical problems with that patch anyhow..
2:30 PM <bryceh> alex_mayorga, 1. contact the patch author, Marco Chiappero, to get an update about the patch and if he plans to re-propose it. (And if he can update it to include your model).
2:31 PM <bryceh> alex_mayorga, 2. try sweet talking the ubuntu kernel team into building a kernel with that patchset for you to test. This might not be possible though, if there's problems with the kernel or if it's hard to figure out how to apply it to a mainline kernel.
2:32 PM <bryceh> alex_mayorga, 3. If you feel like hacking on some C code, see if you can figure out which chunk from all those patches provide the backlight fix, extract it and revise it to work with the current kernel, and then verify that bit alone fixes it for you. If so, then propose inclusion of that into the kernel.
2:32 PM <bryceh> that last one could be rather labor intensive
2:34 PM <bryceh> alex_mayorga, 4. join the platform-driver-x86 mailing list, and post an email asking for an update on the status of Marco's vaio patchset
2:34 PM <bryceh> alex_mayorga, meanwhile, I've added my findings to the bug reports and tagged them to get some attention from our kernel team. However I think they'll be more likely to take action if one of the above steps is taken.

Changed in linux (Ubuntu):
importance: Undecided → Medium

Alex Mayorga Adame, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested and remove the tag:
needs-upstream-testing

This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the text:
needs-upstream-testing

If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Please let us know your results. Thank you for your understanding.

tags: added: maverick need-supstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
assignee: Pepi (peshko-ivanov) → nobody
Alex Mayorga (alex-mayorga) wrote :

The problem still exist with this kernel:

alex-mayorga@VPCCW1FFXL:~$ uname -a
Linux VPCCW1FFXL 3.7.0-999-generic #201212140435 SMP Fri Dec 14 09:36:32 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Pressing Fn+F5 and Fn+F6 makes the on screen indicator appear but they don't modify the LCD's brightness.

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-3.7.0-999
removed: need-supstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Alex Mayorga (alex-mayorga) wrote :

Might this be caused by the little mesh at /sys/class/backlight ?

alex-mayorga@VPCCW1FFXL:~$ ls -la /sys/class/backlight
total 0
drwxr-xr-x 2 root root 0 Dec 14 14:33 .
drwxr-xr-x 53 root root 0 Dec 14 14:33 ..
lrwxrwxrwx 1 root root 0 Dec 14 14:36 nv_backlight -> ../../devices/pci0000:00/0000:00:01.0/0000:01:00.0/drm/card0/card0-LVDS-1/nv_backlight
lrwxrwxrwx 1 root root 0 Dec 14 14:36 nvidia_backlight -> ../../devices/virtual/backlight/nvidia_backlight
lrwxrwxrwx 1 root root 0 Dec 14 14:36 sony -> ../../devices/virtual/backlight/sony

Alex Mayorga Adame, could you please provide the information https://wiki.ubuntu.com/Kernel/Debugging/Backlight ?

tags: added: kernel-bug-exists-upstream-3.7
removed: kernel-bug-exists-upstream-3.7.0-999
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: bios-outdated
Alex Mayorga (alex-mayorga) wrote :
Alex Mayorga (alex-mayorga) wrote :
Alex Mayorga (alex-mayorga) wrote :
  • DSDT.dat Edit (26.0 KiB, application/x-ns-proxy-autoconfig)
Alex Mayorga (alex-mayorga) wrote :
Alex Mayorga (alex-mayorga) wrote :
Alex Mayorga (alex-mayorga) wrote :
Alex Mayorga (alex-mayorga) wrote :
Alex Mayorga (alex-mayorga) wrote :
Alex Mayorga (alex-mayorga) wrote :
Alex Mayorga (alex-mayorga) wrote :
Alex Mayorga (alex-mayorga) wrote :
Alex Mayorga (alex-mayorga) wrote :

Reboot with kernel parameter acpi_backlight=vendor doesn't allow to change the brightness either, OSD indicator appears but no change in brightness occur.

Alex Mayorga (alex-mayorga) wrote :

Fn+F5 (brightness -)
0xe0 0x4c 0xe0 0xcc

Fn+F6 (brightness +)
0xe0 0x54 0xe0 0xd4

Alex Mayorga (alex-mayorga) wrote :

Reboot with kernel parameter video.use_bios_initial_backlight=0 doesn't allow to change the brightness either, OSD indicator appears but no change in brightness occur.

Let me know if there's anything else I could provide to make this work, the LCD brightness on this laptop is burning my retinas =(

Changed in linux (Ubuntu):
status: Incomplete → New

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Alex Mayorga Adame, thank you for providing the requested information. As per http://esupport.sony.com/US/p/model-home.pl?mdl=VPCCW1FFXL&LOC=3#/downloadTab a update is available for your BIOS (R0210Y5). If you update to this, does this change anything?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Alex Mayorga (alex-mayorga) wrote :

I had to reinstall Win7 and Ubuntu 12.10 just to update the BIOS to R0210Y5 but the bug is still there.

What else do I need to provide to get this fixed?

Changed in linux (Ubuntu):
status: Incomplete → New
Brad Figg (brad-figg) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Alex Mayorga Adame, thank you for updating your BIOS. Could you please test http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8-rc6-raring/ ?

tags: removed: bios-outdated
tags: added: needs-upstream-testing
removed: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Changed in linux (Ubuntu):
status: Incomplete → New
Brad Figg (brad-figg) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Alex Mayorga (alex-mayorga) wrote :

I've updated to raring and the problem is still there.

tags: added: raring
tags: added: latest-bios-r0210y5
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
1 comments hidden view all 103 comments
Alex Mayorga (alex-mayorga) wrote :

This bug still exist on 13.10. Please help!

Changed in xserver-xorg-video-nouveau (Ubuntu):
status: Fix Released → New
Changed in linux (Ubuntu):
status: Incomplete → New
Brad Figg (brad-figg) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
1 comments hidden view all 103 comments

Alex Mayorga Adame, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily kernel folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.12-rc6

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

no longer affects: xserver-xorg-video-nouveau (Ubuntu)
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: saucy
Displaying first 40 and last 40 comments. View all 103 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.